cURL
curl --request GET \ --url https://api.leen.dev/v1/itsm/projects \ --header 'X-API-KEY: <api-key>' \ --header 'X-CONNECTION-ID: <api-key>'
{ "items": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "vendor_attributes": { "id": "<string>", "vendor": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "data": { "vendor": "JIRA", "id": "<string>", "projectTypeKey": "<string>", "isPrivate": true } }, "description": "<string>", "category": "<string>", "url": "<string>", "type": "<string>" } ], "next_cursor": "<string>", "previous_cursor": "<string>" }
Datetime filter, only return items updated since this datetime. Example format: 2021-01-01T00:00:00+00:00
2021-01-01T00:00:00+00:00
Skip token to continue from the last item in the previous page
Limit size (page size)
x >= 0
Successful Response
List of items returned in the response
Show child attributes
Leen's UUID for the Project
Name of the Project
Vendor-specific attributes of the Project
Vendor's ID for the Project
Vendor name
Creation time of the Project in Vendor
Last update time of the Project in Vendor
Vendor-specific data associated with the Project
JIRA
"JIRA"
Description of the Project
Category of the Project
URL of the Project
Type of the Project
Skip token to continue from the first item in the previous page